Send a login email to a user

Send an email to the end-user so they can login.

Body Params
string
required

How the account to which you want to send an email should be selected. Options: username (the slug of the use.id WebID) or email (the email address associated with the use.id WebID).

string

In case, selector = email, the email address to which the mail should be sent. Should be left blank if selector = username.

string

In case, selector = username, the WebID username of the account to which the mail should be sent. Should be left blank if selector = email.

uri
required

The URI of the page to which the user should be redirected when logged in.

string

An optional state parameter, which can be used to correlate a given request to log a user in to the Authorization Code that is sent back from the idp after the user is logged in by clicking the link.

Would be returned on the redirect uri. So if a state of 1234 is sent the resulting redirect would be:
https://redirect.uri/?code=some_authorization_code&state=1234

string

The preferred locale in which to send the email. Formatted as ISO langauge code dash (-) ISO country code. If not provided or empty, the locale will be en-GB.
Locales that are currently supported: en-GB, nl-BE, nl-NL.

Headers
string

If provided, this string will be set as the value of the X-Request-ID response header.

string

If provided, this string will be set as the value of the X-Correlation-ID response header.

string
required

The unique DPoP proof for this request.
See https://docs.use.id/docs/creating-a-dpop-proof-header for more information.

string
required

The access token retrieved from the client credentials flow, must start with DPoP.
Example: Authorization: DPoP <access-token>
See https://docs.use.id/docs/accessing-useids-api for more information.

Responses
200

OK
This response is returned when there is an account associated with the email address or username that was provided. An email was sent to the user to login to their existing account.

400

Bad Request

Possible errors:
selector_invalid
both_email_and_username_are_provided
no_redirect_uri_provided
redirect_uri_mismatch
invalid_input
locale_not_supported: The locale that was provided is valid, but is not supported yet. Contact your use.id representative to ask for support.
locale_invalid: The locale that was provided does not have the right format.

401

Unauthorized

403

Forbidden

We received a valid access token, but you do not have permissions to use this end point.

404

Not Found

This response is returned when we could not find an account for the email address or username that was provided. In this case, you probably want to use the provisioning endpoint to create a use.id WebID for the user.

Error codes
account_not_found

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!